[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBCheckBox.Visible

Indicates if the control is visible on its parent.

## Declaration

Source position: dbctrls.pp line 720

`published property TDBCheckBox.Visible : Boolean;`

## Description

The Visible property represents the ability to see a visual control. If Visible is True the control is shown, otherwise it is hidden. Calling Show sets, among others, Visible to True. Setting Visible to False is equivalent to calling Hide method.

Remark: | The Visible property does not depend on control's parent visibility. Use IsVisible method to consider this and get real visibility.

## See also

TControl.Visible |  | Allows the control, and all of its children, to be displayed or hidden.